update afr3111 set 
    dat     = to_date(:ddat,'yyyy/mm/dd'),
    dat1    = to_date(:ddat1,'yyyy/mm/dd')
where ktktcd=:ktktcd
  and mcd=:mcd
  and vseq=:vseq
  and dat=to_date(:dat,'yyyy/mm/dd')
  and dat1=to_date(:dat1,'yyyy/mm/dd')